Save dashboard content
/api/boards/{id}/contentSave the editor's complete sections and items arrays, including widget options and placements. Omitted items and sections are removed. Requires modify access; Custom Widget placement changes require admin access.
Authorization
apikey API key which can be obtained in the Homarr administration dashboard
In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/boards/string/content" \ -H "Content-Type: application/json" \ -d '{ "sections": [ { "id": "string", "kind": "empty", "yOffset": -9007199254740991, "xOffset": -9007199254740991 } ], "items": [ { "kind": "stats", "options": { "property1": null, "property2": null }, "id": "string", "layouts": [ { "layoutId": "string", "yOffset": 0, "xOffset": 0, "width": 1, "height": 1, "sectionId": "string" } ], "integrationIds": [ "string" ], "advancedOptions": {} } ] }'nullReset a dashboard layout
Reset a Mobile or custom layout from the Base layout. Requires modify access.
Add an item to a board
Add a widget or app to the first available position in the main canvas of each layout and return its item ID. Requires modify access to the board and use access to linked integrations. Widget configurations must be valid; placing Custom Widgets requires admin permission.